#
# spec file for package product-builder-plugin-Tumbleweed
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           product-builder-plugin-Tumbleweed
Summary:        openSUSE - KIWI Image System
License:        GPL-2.0-or-later
Group:          System/Management
Version:        1.8.3
Release:        1.1
Source:         product-builder-plugins-%version.tar.xz
Provides:       product-builder-plugin = %version-%release
Requires:       createrepo_c
Requires:       dnf
Requires:       mtools
Requires:       product-builder
Requires:       perl(YAML::XS)
Supplements:    product-builder
Requires:       build >= 20230215
%if 0%{?suse_version}
Requires:       instsource-susedata
Requires:       mkdosfs
Requires:       openSUSE-appstream-process
Requires:       package-EULAs
Requires:       package-translations
%endif
BuildArch:      noarch

%description
openSUSE - Product Builder Image System InstSource plugins provides information
and plugin code to create meta information for a SUSE
installation source. This particular package contains the metadata
plugins specific for the openSUSE Tumblweed media.

%prep
%setup -n product-builder-plugins-%version

%build
# empty because of rpmlint warning rpm-buildroot-usage

%install
# build
test -e /.buildenv && . /.buildenv
make buildroot="%{buildroot}" version="tumbleweed" install

%files
%license LICENSE
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/modules
%dir %{_datadir}/kiwi/modules/plugins
%dir %{_datadir}/kiwi/modules/plugins/tumbleweed
%{_datadir}/kiwi/modules/plugins/tumbleweed/*.pm
%config(noreplace) %{_datadir}/kiwi/modules/plugins/tumbleweed/*.ini

%changelog
* Thu Mar 16 2023 ro@suse.de
- 1.8.3
  * rerun generate_sbom for full media on the combined trees
  * handle full media like pool media (which it contains)
  (bsc#1209384)
* Wed Feb 15 2023 Adrian Schröter <adrian@suse.de>
- 1.8.2
  * CycloneDX SBOM generation added
* Wed Feb  8 2023 Adrian Schröter <adrian@suse.de>
- 1.8.1
  * make use of SPDX SBOM generation tool
* Wed Jan 18 2023 Adrian Schröter <adrian@suse.de>
- 1.7.0
  * switch to SHA512 hashes for repomd meta data
  * various smaller fixes for fedora media
* Fri Sep 24 2021 Adrian Schröter <adrian@suse.de>
- 1.6.0
  * KIWIDnfRepoclosurePlugin added
  * KIWIPackagesDVDPlugin added
* Fri Sep 17 2021 Adrian Schröter <adrian@suse.de>
- 1.4.3
  * comps meta data support
* Mon Sep  6 2021 Adrian Schröter <adrian@suse.de>
- 1.4.0
  * modulemd data support
* Thu Apr 15 2021 ro@suse.de
- 1.3.1
  * add option -g when calling add_product_susedata
    to add gpg key ids as tags in repomd.xml (bsc#1184326)
  * do not change the default install method in gfxboot.cfg
    (bsc#1171018) Instead, just fill out the server & path
    components in case the user wants to switch. The repo
    location is already stored in the initrd in the
    skelcd-installer-net-* packages.
* Tue Apr 21 2020 Adrian Schröter <adrian@suse.de>
- 1.3.0
  * fix some error code return values
* Fri Sep 27 2019 Adrian Schröter <adrian@suse.de>
- update to version 1.2.0
  * adding content tags in repositories (SLE-7695)
* Tue Sep 17 2019 Adrian Schröter <adrian@suse.de>
- update to version 1.1.0
  * createrepo_c errors due to invalid data are handled as error now
* Mon Feb 11 2019 Adrian Schröter <adrian@suse.de>
- instsys comes from remote source again
  (keep avoiding kexec call)
* Wed Jan 30 2019 Adrian Schröter <adrian@suse.de>
- support multiple product repoid tags
* Fri Mar  9 2018 adrian@suse.de
- add dependency to instsource-susedata for disk usage meta data
* Tue Jan 23 2018 adrian@suse.de
- removed kexec line (bsc#990374)
* Thu Nov  2 2017 adrian@suse.de
- download instsys again on NET install media. Follow linuxrc
  default now.
- fix cleanup code for mini media
* Wed Sep 20 2017 adrian@suse.de
- fix product specific license cleanup and naming scheme
* Tue Sep 12 2017 adrian@suse.de
- add multiple license files according to included products on media
* Thu Aug 24 2017 adrian@suse.de
- create detached pubkey for repomd.xml
* Fri Aug 18 2017 adrian@suse.de
- fix signing of CHECKSUMS file
* Mon Aug 14 2017 adrian@suse.de
- fix adding of license.tar.gz
* Tue Jul 11 2017 adrian@suse.de
- add support for susedata tool
* Fri Jun 23 2017 adrian@suse.de
- fixes for mini media
* Wed May 24 2017 adrian@suse.de
- don't drop meta files on NET images anymore
* Fri Apr 28 2017 jengelh@inai.de
- Stop using old RPM shell vars
* Thu Apr 27 2017 adrian@suse.de
- successor of kiwi-instsource-plugin-* packages
